[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.WMChar

Handles a WM_CHAR window message for the control.

## Declaration

Source position: stdctrls.pp line 831

`protected procedure TCustomEdit.WMChar(`
`var Message: TLMChar`
`); message;`

## Arguments

`Message` |  | Window message examined in the method.

## Description

Prevents keystrokes for normal characters from acting as accelerator keys. When the Shift state in Message contains ssCtrl or ssAlt, the inherited method is called to handle the WM_CHAR message.

## See also

TWinControl.WMChar |  | Handler for messages sent by the widget, after it has handled the key press itself.